<?php

use App\Models\JobInfo;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        JobInfo::where('key', 'instagram_repost_account_email')
            ->update([
                'key' => 'instagram_repost_account_username',
                'description' => "Le nom d'utilisateur unique utilisé pour le compte Instagram de repost."
            ]);
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        JobInfo::where('key', 'instagram_repost_account_username')
            ->update([
                'key' => 'instagram_repost_account_email',
                'description' => "L'adresse e-mail/nom d'utilisateur/N° de téléphone utilisée pour le compte Instagram de repost."
            ]);
    }
};
